<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="3.1">
  <xsl:template match="/XCSData">
    <XCSExcelBook sheetCount="1">
      <XCSExcelSheet name="Sheet1" rowCount="8">
        <Columns count="8">
          <Column index="1" type="Formula">Patient_ID</Column>
          <Column index="2" type="String">Patient_First_Name</Column>
          <Column index="3" type="String">Patient_Last_Name</Column>
          <Column index="4" type="String">Address</Column>
          <Column index="5" type="String">City</Column>
          <Column index="6" type="String">State</Column>
          <Column index="7" type="Numeric">Zip</Column>
          <Column index="8" type="Numeric">Claim_Amount</Column>
        </Columns>
        <xsl:for-each select="Interchange/Group/Transaction/Loop_2000B">
          <XCSExcelRow>
            <xsl:attribute name="index">
              <xsl:value-of select="position()" />
            </xsl:attribute>
            <Patient_ID index="1">
              <xsl:value-of select="HL/HL01" />
            </Patient_ID>
            <Patient_First_Name index="2">
              <xsl:value-of select="Loop_2010BA/NM1/NM104" />
            </Patient_First_Name>
            <Patient_Last_Name index="3">
              <xsl:value-of select="Loop_2010BA/NM1/NM103" />
            </Patient_Last_Name>
            <Address index="4">
              <xsl:value-of select="Loop_2010BA/N3/N301" />
            </Address>
            <City index="5">
              <xsl:value-of select="Loop_2010BA/N4/N401" />
            </City>
            <State index="6">
              <xsl:value-of select="Loop_2010BA/N4/N402" />
            </State>
            <Zip index="7">
              <xsl:value-of select="Loop_2010BA/N4/N403" />
            </Zip>
            <Claim_Amount index="8">
              <xsl:value-of select="Loop_2300/CLM/CLM02" />
            </Claim_Amount>
          </XCSExcelRow>
        </xsl:for-each>
      </XCSExcelSheet>
    </XCSExcelBook>
  </xsl:template>
</xsl:stylesheet>

